io.undertow.protocols.http2

## Class HpackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - io.undertow.protocols.http2.HpackException

All Implemented Interfaces:
  Serializable

    public class HpackException
    extends Exception

Exception that is thrown when the HPACK compress context is broken.

In this case the connection must be closed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HpackException()`
`HpackException(int closeCode)`
`HpackException(String message, int closeCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCloseCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HpackException

    public HpackException()

#### HpackException

    public HpackException(String message,
                          int closeCode)

#### HpackException

    public HpackException(int closeCode)

### Method Detail

#### getCloseCode

    public int getCloseCode()